Summary:	Create diffs/patches for text/binary files
Summary(pl.UTF-8):	Tworzenie diffów/łat dla plików tekstowych i binarnych
Name:		libxdiff
Version:	0.23
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: http://www.xmailserver.org/xdiff-lib.html
Source0:	http://www.xmailserver.org/%{name}-%{version}.tar.gz
# Source0-md5:	8970281543130411d8a1b1f004a8418b
Patch0:		%{name}-shared.patch
URL:		http://www.xmailserver.org/xdiff-lib.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in "File System Support for Delta Compression"
by Joshua P. MacDonald. For text files, it follows directives
described in "An O(ND) Difference Algorithm and Its Variations" by
Eugene W. Myers. Memory files used by the library are basically a
collection of buffers that store the file content.

%description -l pl.UTF-8
Biblioteka LibXDiff ma zaimplementowaną podstawową, ale kompletną,
funkcjonalność do tworzenia plików różnicowych/łatek zarówno dla
plików binarnych jak i tekstowych. Wykorzystuje pliki pamięciowe w
celu uzyskania zarówno wydajności, jak i przenośności. Dla plików
binarnych wykorzystuje (z drobnymi modyfikacjami) algorytm opisany w
książce "Wsparcie Systemu Plików dla Kompresji Delta" autorstwa Joshuy
P. Macdonalda. Dla plików tekstowych postępuje zgodnie z zaleceniami
opisanymi w "Algorytm różnicowy O(ND) i jego wariacje" autorstwa
Eugene W. Myers. Pliki pamięciowe użyte w bibliotece są w zasadzie
kolekcją buforów przechowujących zawartość pliku.

%package devel
Summary:	Header files for libxdiff library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxdiff
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libxdiff library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxdiff.

%package static
Summary:	Static libxdiff library
Summary(pl.UTF-8):	Statyczna biblioteka libxdiff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxdiff library.

%description static -l pl.UTF-8
Statyczna biblioteka libxdiff.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libxdiff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxdiff.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxdiff.so
%{_libdir}/libxdiff.la
%{_includedir}/xdiff.h
%{_mandir}/man3/xdiff.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libxdiff.a
%changelog
* Sun Apr 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxdiff.git;a=log;h=master

* Sun Apr 19 2015 Elan Ruusamäe <glen@delfi.ee> 7b8ff52
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 9c599a4
- LGPL version, verbose lib files

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9ec76ed
- ghost soname symlink

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> a6edc35
- updated to 0.23

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 0b8422c
- updated to 0.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0a55cc9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4d1c1a5
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> d6902c6
- strict internal deps

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 78a2296
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon May 31 2004 jpc <jpc@pld-linux.org> 58ecd20
- adapterized
- pl fix

* Mon Mar 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 184bb81
- release 1

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> ba2628e
- updated to 0.7

* Fri Feb 13 2004 Adam Gołębiowski <adamg@pld-linux.org> e638849
- reverted bogus commit

* Fri Feb 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 2adf26d
- updated to 2.4
- added information about status(does this need fixing?)
- added docs to %%doc

* Fri Jan 09 2004 Jakub Bogusz <qboosh@pld-linux.org> b5c7250
- added shared patch, PROPERLY build shared library (using PIC objects etc.)
- moved xdiff(3) manual to -devel

* Fri Jan 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 31fd012
- build libxdiff as shared

* Fri Jan 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 756a5ae
- pl fixes, cosmetics, BR: ac,am,lt

* Thu Jan 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 648a0b8
- initial import

